<ng-container *transloco="let t; read: 'notifications'">
  <mat-card
    class="card"
    appearance="outlined">
    <mat-card-content>
      <div class="container">
        <div class="text">
          <p>{{t(notification?.content+'.subject')}}</p>
          <p>
            {{t(notification?.content+'.notification')}}
          </p>
        </div>
        <div class="buttons">
          <button
            [disabled]="!link"
            mat-mini-fab
            color="primary"
            class="no-shadow-mini-fab micro-fab"
            [matTooltip]="t('open')"
            (click)="navTo()">
            <mat-icon>open_in_new</mat-icon>
          </button>
          <button
            mat-mini-fab
            color="warn"
            class="no-shadow-mini-fab micro-fab"
            [matTooltip]="t('delete')"
            (click)="deleteClicked($event,notification?.id)">
            <mat-icon>delete_forever</mat-icon>
          </button>
        </div>
      </div>
      <mat-divider></mat-divider>
      <p *ngIf="notification" class="date">
        {{(notification.created_at*1000)  | translocoDate: { dateStyle: 'medium', timeStyle: 'medium' } }}
      </p>
    </mat-card-content>
  </mat-card>
</ng-container>
